Subject: [Emu] Tunnel method requirements: Mandatory attributes

From: "Joseph Salowey (jsalowey)" <[email-masked]>
Date: Tue, 6 Apr 2010 10:40:05 -0700

We had some discussion of the mandatory attributes section in Anaheim.
There was disagreement on the exact behavior of mandatory attributes.
Instead of describing a specific behavior in the requirements document I
think it would be better to include the requirement instead. 

Proposed modification:

Replace section " 4.3.3. Mandatory and Optional Attributes" with

"4.3.3  Indicating criticality of Attributes

It is expected that new attributes will be defined to be carried within
the tunnel method.  In some cases it is necessary for the sender to know
if the receiver did not understand the attribute.  To support this,
there MUST be a way for the sender to mark attributes such that the
receiver will indicate if an attribute is not understood.  "